libvpx-0.9.1 doesn't seem to want to compile on current.

Sergey V. Dyatko sergey.dyatko at gmail.com
Fri Aug 6 10:04:32 UTC 2010


On Fri, 06 Aug 2010 13:51:01 +0400
Anonymous <swell.k at gmail.com> wrote:

> "Sergey V. Dyatko" <sergey.dyatko at gmail.com> writes:
> 
> > A>> ===> libvpx-0.9.1 depends on file: /usr/local/bin/perl5.10.1 -
> > A>> found sed:
> > A>> /usr/ports/multimedia/libvpx/work/libvpx-0.9.1/build/make/armlink_adapter.sh:#!/bin/bash:
> > A>> No such file or directory
> > A>> *** Error code 1
> > A>
> 
> > A>Can it be related to bsdgrep issue with `-l' option fixed
> > A>in /head at r210479 ?
> > A>
> >
> > [quote]
> >  /usr/ports/multimedia/libvpx/work/libvpx-0.9.1/build/make/armlink_adapter.sh:#!/bin/bash:
> >  No such file or directory
> > [/quote]
> 
> Doh, you obviously haven't looked at the commit. That bug breaks
> following line
> 
> 	@${GREP} -Rl '^#!/bin/bash' ${WRKSRC} |${XARGS}
> ${REINPLACE_CMD} \ -e 's,#!/bin/bash,#!${LOCALBASE}/bin/bash,g'
> 

ooops, I didn't look attentively at Makefile, sorry for the noice :)

> And I can easily reproduce it on /head at r210478.



-- 
wbr, tiger


More information about the freebsd-ports mailing list